/**
Version 4.0 of meterial-design-icon font TTF converted to woff and woff2
https://github.com/google/material-design-icons/blob/master/LICENSE
APACHE 2.0 LICENSE
**/

@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: 	url(MaterialIcons-Regular.woff2) format('woff2'),
		url(MaterialIcons-Regular.woff) format('woff');
}
 
.material-icons, .mdi{
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 1rem;
	display: -webkit-inline-flex;
	display: -ms-inline-flexbox;
	display: inline-flex;
	line-height: 1;
	text-transform: none;
	letter-spacing: normal;
	word-wrap: normal;
	white-space: nowrap;
	direction: ltr;

	/* Support for all WebKit browsers. */
	-webkit-font-smoothing: antialiased;
	
	text-rendering:optimizeLegibility;

	/* Support for Firefox. */
	-moz-osx-font-smoothing: grayscale;

	/* Support for IE. */
	font-feature-settings: 'liga';
}

/*align at middle */
.mdi-vmid{
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 1rem;
	line-height: 1;
	text-transform: none;
	letter-spacing: normal;
	word-wrap: normal;
	white-space: nowrap;
	direction: ltr;
	-webkit-font-smoothing: antialiased;
	text-rendering:optimizeLegibility;
	-moz-osx-font-smoothing: grayscale;
	font-feature-settings: 'liga';
	
	/*needed to align because of wrong baseline*/
	display: -webkit-inline-flex;
	display: -ms-inline-flexbox;
	display: inline-flex;
	
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	
	vertical-align: middle;
	/* transform: translateY(-.1em); optional for inline text*/
}

/**
move icon into input field
**/
.clTogglePassword{
	cursor: pointer;
}

.clTogglePassword::before{
	margin-left: -1.2rem;
	z-index: 2;
}
/*we need padding to stop input before icon to prevent overlay*/
.clPwdIconPad{
	padding-right: 1.2rem;
	-moz-box-sizing:	border-box;
	box-sizing:		border-box;
}



/*get content codepoints from github*/
.mdi-eye::before{content:"\e8f4";}
.mdi-eye-slash::before{content:"\e8f5";}


/*get content codepoints from github*/
.mdi-check::before{content:"\e5ca";}
.mdi-close::before{content:"\e5cd";}

.mdi-check-green::before{
	content:"\e5ca";
	color: green;
	font-weight: bold;
}
.mdi-close-red::before{
	content:"\e5cd";
	color: red;
	font-weight: bold;
}

.mdi-close-gray::before{
	content:"\e5cd";
	color: gray;
	font-weight: bold;
}
/*prevent MS IE EDGE etc to display eye icon since we use own*/
input::-ms-reveal,
input::-ms-clear {
	display: none;
}
